# $Revision: 1.27 $, $Date: 2009/01/15 23:48:05 $
Summary:	User-space port forwarder
Summary(pl.UTF-8):	Forwarder portów działający w przestrzeni użytkownika
Name:		portfwd
Version:	0.29
Release:	1
License:	GPL
Group:		Networking/Daemons
Source0:	http://dl.sourceforge.net/portfwd/%{name}-%{version}.tar.gz
# Source0-md5:	93161c91e12b0d67ca52dc13708a2f2f
Source1:	%{name}.init
Source2:	%{name}.sysconfig
URL:		http://portfwd.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	flex
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.268
Requires(post,preun):	/sbin/chkconfig
Requires:	rc-scripts
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
PortFwd, by Everton da Silva Marques, is a small C++ user-space
utility which forwards incoming TCP connections and/or UDP packets to
remote hosts. Features:
- forwarding based on originator port
- multiple ports forwarded from one config file
- FTP forwarding, which requires two ports.

%description -l pl.UTF-8
PortFwd, autorstwa Evertona de Silva Marquesa, jest małym narzędziem w
C++ działającym w przestrzeni użytkownika, przekierowującym połączenia
TCP lub pakiety UDP na zewnętrzne hosty. Cechy:
- przekierowywanie zależne od portu źródłowego
- konfiguracja wielu portów w jednym pliku konfiguracyjnym
- przekierowywanie FTP - wymagające dwóch portów.

%prep
%setup -q

%build
%{__aclocal}
%{__autoconf}
%{__automake}
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions"
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT/etc/{rc.d/init.d,sysconfig}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install cfg/empty.cfg $RPM_BUILD_ROOT%{_sysconfdir}/portfwd.cfg

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/portfwd
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/portfwd
rm -rf $RPM_BUILD_ROOT%{_prefix}/doc/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add portfwd
%service portfwd restart

%preun
if [ "$1" = "0" ]; then
	%service portfwd stop
	/sbin/chkconfig --del portfwd
fi

%files
%defattr(644,root,root,755)
%doc CREDITS README TODO cfg/* contrib/suggestions.txt doc/FAQ doc/conf.txt
%attr(755,root,root) %{_sbindir}/portfwd
%attr(754,root,root) /etc/rc.d/init.d/portfwd
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/portfwd
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/portfwd.cfg
%{_mandir}/man?/*

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: portfwd.spec,v $
Revision 1.27  2009/01/15 23:48:05  pawelz
- up to 0.29
- fixed pl %desc

Revision 1.26  2007/02/13 08:06:41  glen
- tabs in preamble

Revision 1.25  2007/02/12 01:06:27  baggins
- converted to UTF-8

Revision 1.24  2006/05/21 21:49:26  glen
- check-files cleanup; rel 2

Revision 1.23  2006/03/12 22:45:47  glen
- use %service, adapterized

Revision 1.22  2005/12/13 14:37:24  glen
- adapterized (sorted %verify flags)

Revision 1.21  2004/08/18 12:21:29  qboosh
- Summary clarification

Revision 1.20  2004/08/18 07:45:45  tiwek
- updated to 0.26, release 1
- build and work
- STBR please

Revision 1.19  2003/10/18 13:52:51  ankry
- cosmetics

Revision 1.18  2003/10/18 11:36:10  blues
- one more release fix

Revision 1.17  2003/10/17 12:21:49  pbern
- fix rel version
- add md5

Revision 1.16  2003/10/17 11:51:17  pbern
- update to 0.26rc6
- rel1
- remove outdated patch

Revision 1.15  2003/08/08 15:04:39  qboosh
- more specific Requires

Revision 1.14  2003/05/28 13:01:20  malekith
- massive attack: source-md5

Revision 1.13  2003/05/25 06:25:41  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.12  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.11  2002/11/30 23:00:25  juandon
- new %%doc

Revision 1.10  2002/10/09 13:14:45  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.9  2002/05/21 23:14:32  kloczek
perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
	     s/^autoconf/\%\{__autoconf\}/"

Revision 1.8  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.7  2002/02/22 23:29:36  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.6  2002/02/05 11:35:11  kloczek
- cosmetics.

Revision 1.5  2002/02/05 11:27:53  adasi
 - i'm so stupid....

Revision 1.4  2002/02/05 11:20:55  adasi
 - added %post/%preun

Revision 1.3  2002/02/05 11:16:17  kloczek
- cleanups in spec file and on am/ac level.

Revision 1.2  2002/01/18 02:14:38  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.1  2001/11/26 11:22:56  qboosh
- new: user-space port-forwarder; based on spec from package
